Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatMessage.OpenAiChatUserMessage.ContentPartText

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatMessage.OpenAiChatUserMessage.ContentPartText

All Implemented Interfaces:
  `OpenAiChatMessage.OpenAiChatUserMessage.ContentPart`

Enclosing class:
  `OpenAiChatMessage.OpenAiChatUserMessage`

public static class OpenAiChatMessage.OpenAiChatUserMessage.ContentPartText extends Object implements OpenAiChatMessage.OpenAiChatUserMessage.ContentPart
Content part text input.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentPartText()`
  `ContentPartText(String text)`
  Creates a new `ContentPartText` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getType()`
  Get the type of the content part.
  `int`
  `hashCode()`
  `OpenAiChatMessage.OpenAiChatUserMessage.ContentPartText`
  `setText(String text)`
  The text content.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContentPartText

    public ContentPartText()

  - ### ContentPartText

    public ContentPartText(String text)
    Creates a new `ContentPartText` instance.
    Parameters:
      `text` - The text content.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getType

    public String getType()
    Description copied from interface: `OpenAiChatMessage.OpenAiChatUserMessage.ContentPart`
    Get the type of the content part.
    Specified by:
      `getType` in interface `OpenAiChatMessage.OpenAiChatUserMessage.ContentPart`
    Returns:
      The type of the content part as string.

  - ### setText

    public OpenAiChatMessage.OpenAiChatUserMessage.ContentPartText setText(@Nonnull String text)
    The text content.
    Returns:
      `this`.